| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::Mail Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- Mail ()
- Mail (const QMap< QString, QDBusVariant > &a)
- Mail & operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

An extensible map representing a mail, or (on protocols where Thread_Based appears in MailNotificationFlags) a thread of mails. All keys are optional where not otherwise stated; however, at least one of "senders" and "subject" must be included.

## Constructor & Destructor Documentation

Tp::Mail::Mail | ( |  | ) | `[inline]`

Tp::Mail::Mail | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

Mail& Tp::Mail::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`